Name:		ksnip
Version:	1.8.0
Release:	%mkrel 2
Summary:	Screenshot tool
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		https://github.com/ksnip/ksnip
Source:		https://github.com/ksnip/ksnip/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	extra-cmake-modules
BuildRequires:	gcc-c++
BuildRequires:	cmake(kColorPicker)
BuildRequires:	cmake(kImageAnnotator) >= 0.4.0
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb-xfixes)

%description
Ksnip is a Qt based cross-platform screenshot tool that provides many
annotation features for your screenshots.

%prep
%setup -q

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt

%files
%license LICENSE
%doc CHANGELOG.md CODINGSTYLE README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_metainfodir}/org.ksnip.%{name}.appdata.xml
%{_datadir}/applications/org.ksnip.%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 1.8.0-2.mga8
+ Revision: 1658813
- Rebuild for new Qt5

* Mon Dec 14 2020 daviddavid <daviddavid> 1.8.0-1.mga8
+ Revision: 1657332
- new version: 1.8.0

* Sun Aug 02 2020 daviddavid <daviddavid> 1.7.3-1.mga8
+ Revision: 1610550
- new version: 1.7.3

* Fri Jun 26 2020 daviddavid <daviddavid> 1.7.1-1.mga8
+ Revision: 1599332
- new version: 1.7.1

* Fri Jun 19 2020 daviddavid <daviddavid> 1.7.0-1.mga8
+ Revision: 1597023
- new version: 1.7.0

* Wed May 06 2020 daviddavid <daviddavid> 1.6.2-1.mga8
+ Revision: 1580972
- new version: 1.6.2

* Fri Apr 03 2020 daviddavid <daviddavid> 1.6.1-1.mga8
+ Revision: 1564109
- initial package ksnip (mga#26423)

